get
https://gateway.remote.com/v1/companies//legal-entities//contractor-eligibility
Returns which contractor products (standard, plus, cor) the legal entity is eligible to use,
and the list of country codes where COR is supported for this legal entity.
COR-supported countries exclude sanctioned and signup-prevented countries and apply entity rules (same-country, local-to-local).
When the legal entity is not COR-eligible, cor_supported_country_codes is an empty list.
Authentication
This endpoint accepts any one of the following token types:
- Company-scoped access token (
OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners. - Company-scoped access token (assertion) (
OAuth2CompanyManagerAssertion) — obtained through theurn:ietf:params:oauth:grant-type:jwt-bearergrant for a company manager. See OAuth Assertion. - Client credentials access token (
OAuth2ClientCredentials) — obtained through the Client Credentials flow or the Refresh Token flow. See Authentication for partners. - Customer API token (
CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.
Scopes
Any one of the scopes in a token type's row is enough. all:read and all:write work too.
| Token type | Category | Read only Scope | Write only Scope (read access implicit) |
|---|---|---|---|
| Company-scoped access token | Manage company resources (company_admin) | View companies (company:read) | - |
| Company-scoped access token (assertion) | Manage company resources (company_admin) | View companies (company:read) | - |
| Client credentials access token | Manage company resources (company_admin) | View companies (company:read) | Manage companies (company:write) |
| Customer API token | Manage company resources (company_admin) | View companies (company:read) | - |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Callback